Package org.apache.commons.math3.optim

# Class MaxEval

java.lang.Object
org.apache.commons.math3.optim.MaxEval

All Implemented Interfaces:
  `OptimizationData`

public class MaxEval extends Object implements OptimizationData
Maximum number of evaluations of the function to be optimized.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`MaxEval(int max)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxEval()`
Gets the maximum number of evaluations.
`static MaxEval`
`unlimited()`
Factory method that creates instance of this class that represents a virtually unlimited number of evaluations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaxEval

public MaxEval(int max)

Parameters:
  `max` - Allowed number of evalutations.
Throws:
  `NotStrictlyPositiveException` - if `max <= 0`.

## Method Details

### getMaxEval

public int getMaxEval()
Gets the maximum number of evaluations.

Returns:
  the allowed number of evaluations.

### unlimited

public static MaxEval unlimited()
Factory method that creates instance of this class that represents a virtually unlimited number of evaluations.

Returns:
  a new instance suitable for allowing `Integer.MAX_VALUE` evaluations.